CREATE TABLE cmp_mkt_segments_tl (
    SEGMENT_ID               NUMBER(18, 0) ,
    SEGMENT_NAME             VARCHAR2(320)     NOT NULL,
    SEGMENT_DESCR            VARCHAR2(4000),
    MISC_TEXT_1              VARCHAR2(1200),
    MISC_TEXT_2              VARCHAR2(1200),
    MISC_TEXT_3              VARCHAR2(1200),
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEGMENT_ID               NUMBER(18, 0) ,
    SEGMENT_NAME             VARCHAR2(320)     NOT NULL,
    SEGMENT_DESCR            VARCHAR2(4000),
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MISC_TEXT_1              VARCHAR2(1200),
    MISC_TEXT_2              VARCHAR2(1200),
    MISC_TEXT_3              VARCHAR2(1200),
    CONSTRAINT pk_cmp_mkt_segments_tl PRIMARY KEY (SEGMENT_ID, LANGUAGE, SEGMENT_ID, LANGUAGE)
);
